#
# spec file for package perl-Module-Load-Conditional
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Module-Load-Conditional
Version:        0.74
Release:        1.17
%define cpan_name Module-Load-Conditional
Summary:        Looking up module information / loading at runtime
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(Module::CoreList) >= 2.22
BuildRequires:  perl(Module::Load) >= 0.28
BuildRequires:  perl(Module::Metadata) >= 1.000005
BuildRequires:  perl(Params::Check)
BuildRequires:  perl(version) >= 0.69
Requires:       perl(Locale::Maketext::Simple)
Requires:       perl(Module::CoreList) >= 2.22
Requires:       perl(Module::Load) >= 0.28
Requires:       perl(Module::Metadata) >= 1.000005
Requires:       perl(Params::Check)
Requires:       perl(version) >= 0.69
%{perl_requires}

%description
Module::Load::Conditional provides simple ways to query and possibly load
any of the modules you have installed on your system during runtime.

It is able to load multiple modules at once or none at all if one of them
was not able to load. It also takes care of any error checking and so
forth.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README

%changelog
* Sat Aug 22 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.74
  see /usr/share/doc/packages/perl-Module-Load-Conditional/CHANGES
  0.74    Fri Aug 21 09:06:21 BST 2020
  * strictify the test suite packages
* Fri Jun 26 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.72
  see /usr/share/doc/packages/perl-Module-Load-Conditional/CHANGES
  0.72    Thu 25 Jun 08:21:16 BST 2020
  * Avoid using indirect calls
* Thu Nov 14 2019 <timueller+perl@suse.de>
- updated to 0.70
  see /usr/share/doc/packages/perl-Module-Load-Conditional/CHANGES
  0.70    Sun Nov 10 14:28:41 GMT 2019
  * Protect ourselves from Module::Metadata parsing problems
    [ RT#130939 ]
* Sat Oct  8 2016 coolo@suse.com
- updated to 0.68
  see /usr/share/doc/packages/perl-Module-Load-Conditional/CHANGES
  0.68    Fri Jul 29 08:01:12 BST 2016
  * Fix unconditional @INC localisation
  0.66    Wed Jul 27 08:22:53 BST 2016
  * Add FORCE_SAFE_INC option to fix CVE-2016-1238
* Sat Oct  8 2016 coolo@suse.com
- initial package 0.64
  * created by cpanspec 1.78.08
